Get the help center table of contents
Returns the documentation structure as breadcrumb groups with stable slugs, localized titles, and locale availability. Optionally scope the response to one subtree with rootPath.
GET
/help-center/tocAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredQuery parameters
rootPathstringOptional documentation subtree path.
Responses
200Help center documentation structure
groupsHelpCenterTocGroupDto[]requiredShow propertiesHide properties
Array of
HelpCenterTocGroupDtoarticlesHelpCenterTocArticleDto[]requiredShow propertiesHide properties
Array of
HelpCenterTocArticleDtoavailableLocalesstring[]requiredslugstringrequiredtitlesHelpCenterLocalizedValueDtorequiredShow propertiesHide properties
destringenstringbreadcrumbstring[]requiredrootPathstring401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
502Documentation structure request failed upstream
503Help center search is not configured on this server
Request
curl -X GET "https://leadtime.app/api/public/help-center/toc" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/help-center/toc", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/help-center/toc",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"groups": [
{
"articles": [
{
"availableLocales": [
"de",
"en"
],
"slug": "administration/task-settings/custom-task-types",
"titles": {
"de": "Aufgabentypen",
"en": "Task types"
}
}
],
"breadcrumb": [
"administration",
"task-settings"
]
}
],
"rootPath": "administration/task-settings"
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions
Documentation structure request failed upstream
Help center search is not configured on this server